in scala.collection.immutable
class ImmutableIterator

`sealed abstract class` ImmutableIterator [+A]
  `extends` java.lang.Object
  `with` scala.ScalaObject

  A stateless iterator.

Author:
  Sean McDirmid
Version:
  1.0

Direct Known Subclasses:
  NonEmpty

Class Summary
`private` | `class` Elements

Constructor Summary
| `def` this

Def Summary
| `def` append [B >: A] (item: B) : scala.collection.immutable.ImmutableIterator[B] Creates a new immutable iterator that appends item to this immutable iterator.
| `def` append [B >: A] (item: B, right: () => scala.collection.immutable.ImmutableIterator[B]) : scala.collection.immutable.ImmutableIterator[B] Creates a new immutable iterator that appends item and a lazy immutable iterator (right) to this immutable iterator.
| `def` append [B >: A] (right: () => scala.collection.immutable.ImmutableIterator[B]) : scala.collection.immutable.ImmutableIterator[B] Creates a new immutable iterator that appends a lazy immutable iterator (right) to this immutable iterator.
| `def` elements : scala.Iterator[A] Converts this immutable iterator into a conventional iterator.
`abstract` | `def` hasNext : scala.Boolean queries if this iterator has an element to return.
`abstract` | `def` next : scala.Tuple2[A, scala.collection.immutable.ImmutableIterator[A]] returns the next element and immutable iterator as a pair.

Constructor Detail

`def` this

Def Detail

`def` append [B >: A](item: B): scala.collection.immutable.ImmutableIterator[B]

  Creates a new immutable iterator that appends item to this immutable iterator.

`def` append [B >: A](item: B, right: () => scala.collection.immutable.ImmutableIterator[B]): scala.collection.immutable.ImmutableIterator[B]

  Creates a new immutable iterator that appends item and a lazy immutable iterator (right) to this immutable iterator.

Parameters:
  `item -` ...
Parameters:
  `right -` ...
Returns:
  ...

`def` append [B >: A](right: () => scala.collection.immutable.ImmutableIterator[B]): scala.collection.immutable.ImmutableIterator[B]

  Creates a new immutable iterator that appends a lazy immutable iterator (right) to this immutable iterator.

`def` elements : scala.Iterator[A]

  Converts this immutable iterator into a conventional iterator.

`abstract def` hasNext : scala.Boolean

  queries if this iterator has an element to return.

`abstract def` next : scala.Tuple2[A, scala.collection.immutable.ImmutableIterator[A]]

  returns the next element and immutable iterator as a pair.